
CREATE TABLE NSIWS (
	ID bigint IDENTITY(1,1) NOT NULL, -- autoincrement
	URL nvarchar(250) NOT NULL,
	USERNAME nvarchar(50) NULL,
	PASSWORD nvarchar(250) NULL,
	DESCRIPTION nvarchar(250) NULL,
	TECHNOLOGY varchar(10) NULL,
	NAME nvarchar(250) NULL,
	PROXY bit NOT NULL DEFAULT 0,
  PRIMARY KEY(ID),
 CONSTRAINT CHK_TECH CHECK (TECHNOLOGY IN ('SoapV20', 'SoapV21', 'REST'))
 )
 ;